summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
authorVijay Bellur <vijay@gluster.com>2011-05-26 08:04:20 -0700
committerVijay Bellur <vijay@gluster.com>2011-05-26 08:04:20 -0700
commit97a1d07e7031e2bb535f8d54b2fcd7d7886a53ca (patch)
tree2790e7ce882f30f80fa10b9379d27090d34d0d79 /dvm
parent57d34597d5d5e3374c6b1150d27a44c405afbc34 (diff)
parent02318b15ab4d700aa7973f003f430518e7deb745 (diff)
Merge pull request #4 from raghavendrabhat/master
Verify if the message displayed is correct when a volume start is attempted on a started volume
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/2623/testcase20
1 files changed, 20 insertions, 0 deletions
diff --git a/dvm/2623/testcase b/dvm/2623/testcase
new file mode 100755
index 0000000..48b209a
--- /dev/null
+++ b/dvm/2623/testcase
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+source ./regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster --mode=script volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id | grep "alreadystarted"
+
+if [ "$?" -eq "0" ]; then
+ RET="1";
+else
+ RET="0";
+fi
+
+exit $RET;
+
+
+